# This file is part of trytond_backend_gis.  The COPYRIGHT file at the top
# level of this repository contains the full copyright notices and license
# terms.
import os
from setuptools import setup


def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(name='trytond_backend_gis',
    version='0.1',
    author='B2CK',
    author_email='info@b2ck.com',
    url='http://trytond-gis.b2ck.com/',
    description='Adds Geographic Information System support to trytond',
    long_description=read('README'),
    py_modules=['trytond_gis'],
    zip_safe=False,
    platforms='any',
    keywords='tryton GIS',
    classifiers=[
        'Framework :: Tryton',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Software Development :: Libraries :: Python Modules'
        ],
    license='GPL-3',
    entry_points={
        'trytond.backend': [
            'postgis = trytond_backend_gis.postgis',
            ],
        'trytond.tests': [
            'test_geographic_fields = trytond_backend_gis.tests',
            ],
        'trytond.test_modules': [
            'test_gis = trytond_backend_gis.tests.test_gis',
            ],
        },
    install_requires=[
        'dbgis',
        # 'trytond>=4.4',
        ],
    test_suite='trytond.tests',
    test_loader='trytond.test_loader:Loader',
    use_2to3=True,
    )
