# This file is part of trytond_backend_gis.  The COPYRIGHT file at the top
# level of this repository contains the full copyright notices and license
# terms.
import dbgis

from trytond.backend.postgresql.database import Database as PGDatabase
from trytond.backend.postgresql.database import (
    DatabaseIntegrityError, DatabaseOperationalError)

__all__ = ['Database', 'DatabaseIntegrityError', 'DatabaseOperationalError']


class Database(PGDatabase):

    def get_connection(self, autocommit=False, readonly=False):
        connection = super(Database, self).get_connection(
            autocommit=autocommit, readonly=readonly)
        dbgis.register_psycopg(connection, connection)
        return connection
